Pagina 2 di 2

Re: [TASK #62] Fusione/integrazione guide su Iceweasel/Firef

MessaggioInviato: 09/08/2017, 18:12
da Selky
In attesa dei vostri riscontri, in locale ho proceduto ad apportare delle modifiche rivoluzionando un poco la guida. D'altro canto sono cambiate tante cose.
Nella parte introduttiva ho spiegato cos'è e perché è nato Iceweasel. Le date del cambio ecc...

Ho già inserito come e cosa installare e come avviene l'aggiornamento.

Ora sto sistemando le parti relative alle estensioni, le xul-ext sono disponibili solo per la versione ESR e dando un'occhiata ad alcuni pacchetti variano anche le versioni supportate. Non potendo testarle tutte metto solo una nota a riguardo.

Se ho ben capito, potrei semplicemente aggiornare l'attuale guida e rinominarla in Firefox.

Lo sapete che ho il terrore di queste cose sul wiki debianizzati ufficiale e non sul mio dove pasticcio come voglio :D

Re: [TASK #62] Fusione/integrazione guide su Iceweasel/Firef

MessaggioInviato: 11/08/2017, 13:14
da Selky
Effettuato rinomina pagina da Iceweael in Firefox e aggiornato guida.
Ora resta da sistemare il resto.

Avrei bisogno di sapere da qualcuno che utilizza testing o sid e Firefox Release o Beta prelevate dai repo, se le estensioni xul-ext sempre dei repo sono disponibili visto che il pacchetto firefox non rientra nelle dipendenze di tali estensioni.

Re: [TASK #62] Fusione/integrazione guide su Iceweasel/Firef

MessaggioInviato: 12/08/2017, 13:49
da HAL 9000
Ottimo lavoro! :)

Le estensioni, almeno quelle che ho installato, hanno come dipendenza "iceweasel | firefox | firefox-esr". Quindi dovrebbero funzionare se uno dei pacchetti tra firefox e firefox-esr sono installati, visto che iceweasel è soltanto un pacchetto di transizione per firefox-esr.

Non utilizzo però testing o Sid, quindi non so come si comportino con firefox (v. 54.0), anziché firefox-esr (v. 52.3).

Re: [TASK #62] Fusione/integrazione guide su Iceweasel/Firef

MessaggioInviato: 12/08/2017, 15:05
da Selky
Grazie :)
Sicuramente c'è ancora qualcosina da sistemare, forse è il caso anche di segnalare che sono necessari gtk3 e pulseaudio (quest'ultimo si può aggirare).

Errore mio nel controllare la pagina delle dipendenze, mi ero fermata a Buster, scordandomi che per firefox bisogna abilitare i repo di sid o experimental :-[

Ad esempio per adblock plus su Buster risulta questo https://packages.debian.org/it/buster/x ... block-plus
or firefox (>= 38.0)
Package not available

maggiore o uguale alla 38.

Per tale motivo mi erano sorti dubbi. Comunque sia, per gli utenti che utilizzeranno le versioni non ESR, quando anche su Debian (sid e experiemntal) si giungerà alla v.57 tali estensioni non saranno più utilizzabili. La nota c'è già ;)